MSRC ppDocument 模板

Microsoft 安全公告 MS16-053 - 严重

JScript 和 VBScript 的累积安全更新 (3156764)

发布日期:2016 年 5 月 10 日

版本: 1.0

执行摘要

此安全更新程序可修复 Microsoft Windows 的 JScript 和 VBScript 脚本引擎中的多个漏洞。如果用户访问经特殊设计的网站,那么这些漏洞可能允许远程执行代码。成功利用这些漏洞的攻击者可以获得与当前用户相同的用户权限。如果当前用户使用管理用户权限登录,则成功利用这些漏洞的攻击者可以控制受影响的系统。攻击者可随后安装程序;查看、更改或删除数据;或者创建拥有完全用户权限的新帐户。

对于 Windows Vista 的受支持版本上的 JScript 和 VBScript 脚本引擎的受影响版本,此安全更新等级为“严重”,对于 Windows Server 2008 和 Windows Server 2008 R2 上的这些受影响版本,此安全更新等级为“中等”。有关详细信息,请参阅受影响的软件部分。

此更新通过修改 JScript 和 VBScript 脚本引擎处理内存中对象的方式来修复这些漏洞。有关漏洞的详细信息,请参阅漏洞信息部分。

有关此更新程序的详细信息,请参阅 Microsoft 知识库文章 3156764

受影响的软件

以下 JScript 和 VBScript 版本已受到本公告中讨论的漏洞的影响。未列出的早期版本的支持生命周期已结束或者不受影响。

**操作系统** **组件** **最大安全影响** **综合严重等级** **替代的更新***
**Windows Vista**
Windows Vista Service Pack 2 [VBScript 5.7](https://www.microsoft.com/zh-cn/download/details.aspx?id=52167) (3158991) 远程执行代码 严重 [MS16-003](https://technet.microsoft.com/zh-cn/library/security/ms15-126) 中的 3124624
Windows Vista x64 Edition Service Pack 2 [VBScript 5.7](https://www.microsoft.com/zh-cn/download/details.aspx?id=52163) (3158991) 远程执行代码 严重 [MS16-003](https://technet.microsoft.com/zh-cn/library/security/ms15-126) 中的 3124624
**Windows Server 2008**
Windows Server 2008(用于 32 位系统)Service Pack 2 [VBScript 5.7](https://www.microsoft.com/zh-cn/download/details.aspx?id=52122) (3158991) 远程执行代码 中等 [MS16-003](https://technet.microsoft.com/zh-cn/library/security/ms15-126) 中的 3124624
Windows Server 2008(用于基于 x64 的系统)Service Pack 2 [VBScript 5.7](https://www.microsoft.com/zh-cn/download/details.aspx?id=52131) (3158991) 远程执行代码 中等 [MS16-003](https://technet.microsoft.com/zh-cn/library/security/ms15-126) 中的 3124624
Windows Server 2008(用于基于 Itanium 的系统)Service Pack 2 [VBScript 5.7](https://www.microsoft.com/download/details.aspx?familyid=d0948c9f-4e0a-44c8-8333-157460d5183d) (3158991) 远程执行代码 中等 [MS16-003](https://technet.microsoft.com/zh-cn/library/security/ms15-126) 中的 3124624
**服务器核心安装选项**
Windows Server 2008(用于 32 位系统)Service Pack 2(服务器核心安装) [VBScript 5.7](https://www.microsoft.com/zh-cn/download/details.aspx?id=52122) (3158991) 远程执行代码 中等 [MS16-003](https://technet.microsoft.com/zh-cn/library/security/ms15-126) 中的 3124624
Windows Server 2008(用于基于 x64 的系统)Service Pack 2 (仅限服务器核心安装) [VBScript 5.7](https://www.microsoft.com/zh-cn/download/details.aspx?id=52131) (3158991) 远程执行代码 中等 [MS16-003](https://technet.microsoft.com/zh-cn/library/security/ms15-126) 中的 3124624
Windows Server 2008 R2(用于基于 x64 的系统)Service Pack 1 (仅限服务器核心安装) [JScript 5.8 和 VBScript 5.8](https://www.microsoft.com/zh-cn/download/details.aspx?id=52075) (3155413) 远程执行代码 中等 [MS16-003](https://technet.microsoft.com/zh-cn/library/security/ms15-126) 中的 3124625

*“替代的更新程序”列仅显示任一系列被取代的更新程序中最新的更新程序。有关替代的更新程序的完整列表,请转到 Microsoft 更新目录,搜索更新程序知识库文章编号,然后查看更新程序详细信息(替代的更新程序信息位于“程序包详细信息”选项卡中)。

更新程序 FAQ

为什么我在此累积安全更新的程序包中同时看到了 JScript.dll 和 VBScript.dll?
此安全更新附带适用于 JScript 和 VBScript 脚本引擎的累积更新。此发布中包含两个引擎,受本公告中所述安全修补程序影响的组件已在上述“受影响的软件”部分列出。

如何确定我的系统上安装了哪个版本的 JScript 和 VBScript 脚本引擎?
JScript 和 VBScript 脚本引擎与 Microsoft Windows 受支持版本一起安装。此外,在系统上安装 Internet Explorer 的较新版本可以更改安装的 JScript 和 VBScript 脚本引擎版本。

若要确定系统上安装的 JScript 或 VBScript 脚本引擎的版本,请执行以下步骤:

  1. 打开 Windows Explorer。
  2. 导航到 %systemroot%\system32 目录。
  3. 对于 VBScript,右键单击 vbscript.dll,选择“属性”,然后单击“详细信息”选项卡。
  4. 对于 JScript,右键单击 jscript.dll,选择“属性”,然后单击“详细信息”选项卡。

版本号将在“文件版本”字段中列出。如果您的文件版本以 5.8 开头,例如 5.8.7600.16385,则表明您的系统上安装了 VBScript 5.8。

在我知道了安装在我系统中的 JScript 或 VBScript 脚本引擎版本之后,我去哪里获得更新?
此公告中受影响的软件适用于未安装 Internet Explorer 的系统和已安装 Internet Explorer 7 或更早版本的系统。系统运行 Internet Explorer 8 或更高版本的客户应使用 Internet Explorer 累积更新 (MS16-051),也可以修复此公告中讨论的漏洞。

严重等级和漏洞标识符

以下严重等级假设漏洞可能造成最大影响。有关此安全公告发布 30 天内,漏洞利用的严重等级和安全影响的可能性的信息,请参阅 5 月份公告摘要中的利用指数。

**按受影响的软件列出的漏洞严重等级和最大安全影响**
**受影响的软件** [**脚本引擎内存损坏漏洞 - CVE-2016-0187**](https://www.cve.mitre.org/cgi-bin/cvename.cgi?name=cve-2016-0187) [**脚本引擎内存损坏漏洞 - CVE-2016-0189**](https://www.cve.mitre.org/cgi-bin/cvename.cgi?name=cve-2016-0189) **综合严重等级**
**VBScript 5.7**
Windows Vista Service Pack 2 上的 VBScript 5.7 不适用 **严重** 远程执行代码 **严重**
Windows Vista x64 Edition Service Pack 2 上的 VBScript 5.7 不适用 **严重** 远程执行代码 **严重**
Windows Server 2008(用于 32 位系统)Service Pack 2 上的 VBScript 5.7 不适用 **中等** 远程执行代码 **中等**
Windows Server 2008(用于基于 x64 的系统)Service Pack 2 上的 VBScript 5.7 不适用 **中等** 远程执行代码 **中等**
Windows Server 2008(用于基于 Itanium 的系统)Service Pack 2 上的 VBScript 5.7 不适用 **中等** 远程执行代码 **中等**
**JScript 5.8 和 VBScript 5.8**
Windows Server 2008 R2(用于基于 x64 的系统)Service Pack 1 上的 JScript 5.8 和VBScript 5.8 (仅限服务器核心安装) **中等** 远程执行代码 **中等** 远程执行代码 **中等**

漏洞信息

多个脚本引擎内存损坏漏洞

在 Internet Explorer 中处理内存中的对象时,JScript 和 VBScript 引擎的呈现方式存在多个远程执行代码漏洞。这些漏洞可能会损坏内存,具体是通过攻击者在当前用户的上下文中执行任意代码。成功利用这些漏洞的攻击者可以获得与当前用户相同的用户权限。如果当前用户使用管理用户权限登录,则成功利用这些漏洞的攻击者可以控制受影响的系统。攻击者可随后安装程序;查看、更改或删除数据;或者创建拥有完全用户权限的新帐户。

在基于 Web 的攻击情形中,攻击者可能拥有一个旨在通过 Internet Explorer 利用漏洞的经特殊设计的网站,然后诱使用户查看该网站。攻击者也可能在宿主 IE 呈现引擎的应用程序或 Microsoft Office 文档中嵌入标有“安全初始化”的 ActiveX 控件。攻击者还可能利用受到破坏的网站以及接受或宿主用户提供的内容或广告的网站。这些网站可能包含可以利用漏洞的经特殊设计的内容。

此更新通过修改 JScript 和 VBScript 脚本引擎处理内存中对象的方式来修复这些漏洞。下表包含指向“常见漏洞和披露”列表中每个漏洞标准条目的链接:

漏洞标题

CVE 编号

公开披露

已被利用

脚本引擎内存损坏漏洞

CVE-2016-0187

脚本引擎内存损坏漏洞

CVE-2016-0189

### 缓解因素 Microsoft 并未发现此漏洞的任何[缓解因素](https://technet.microsoft.com/zh-cn/library/security/dn848375.aspx)。 ### 变通办法 以下[变通办法](https://technet.microsoft.com/zh-cn/library/security/dn848375.aspx)在您遇到的情形中可能会有所帮助: - **限制对 VBScript.dll 和 JScript.dll 的访问** - 对于 32 位系统,在管理命令提示符后面输入以下命令:
    ```
        takeown /f %windir%\system32\vbscript.dll 
        cacls %windir%\system32\vbscript.dll /E /P everyone:N
        cacls %windir%\system32\jscript.dll /E /P everyone:N
    ```

-   对于 64 位系统,在管理命令提示符后面输入以下命令: 

    ```
        takeown /f %windir%\syswow64\vbscript.dll   
        cacls %windir%\syswow64\vbscript.dll /E /P everyone:N  
        cacls %windir%\syswow64\jscript.dll /E /P everyone:N          
    ```

**变通办法的影响。** 使用 VBScript 或 JScript 的网站可能未正常运行。

**如何撤消变通办法。**

-   对于 32 位系统,在管理命令提示符后面输入以下命令: 

    ```  
        cacls %windir%\system32\vbscript.dll /E /R everyone  
        cacls %windir%\system32\jscript.dll /E /R everyone          
    ```

-   对于 64 位系统,在管理命令提示符处输入以下命令: 

    ```  
        cacls %windir%\syswow64\vbscript.dll /E /R everyone  
        cacls %windir%\syswow64\jscript.dll /E /R everyone          
    ```

安全更新程序部署


有关安全更新程序部署信息,请参阅执行摘要中此处引用的 Microsoft 知识库文章。

鸣谢


Microsoft 通过协调漏洞披露渠道认可在安全社区中帮助我们对客户进行保护的人们所做出的努力。有关详细信息,请参阅鸣谢部分。

免责声明


Microsoft 知识库中的信息“按原样”提供,没有任何形式的担保。Microsoft 不作任何明示或暗示保证,包括对适销性和针对特定用途的适用性的保证。Microsoft Corporation 或其供应商不对任何损害(包括直接的、间接的、偶然的、必然的损害、商业利润损失或特殊损害)承担任何责任,即使 Microsoft Corporation 或其供应商事先已被告知有可能发生此类损害。有些州不允许排除或限制必然或偶然损害的赔偿责任,因此上述限制可能不适用。

修订版本

  • V1.0(2016 年 5 月 10 日):公告已发布。

页面生成时间:2016-05-10 08:49-07:00。